# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name base16-bytestring

# common part of summary for all the subpackages
%global common_summary Hex encoding and decoding for ByteStrings

# main description used for all the subpackages
%global common_description Fast base16 (hex) encoding and decoding for ByteStrings.

Name:           ghc-%{pkg_name}
Version:        0.1.1.4
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-bytestring-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files
%doc README.markdown


%changelog
* Wed Jan  4 2012 Jens Petersen <petersen@redhat.com> - 0.1.1.4-1
- update to 0.1.1.4 and cabal2spec-0.25.2
- include README file

* Thu Dec  1 2011 Jens Petersen <petersen@redhat.com> - 0.1.1.3-1
- BSD license

* Thu Dec  1 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
